$inactiveColor: #313745;
$activeColor: #2e9bdb;
$transition: color, opacity 100ms ease-in-out;

:host {
  align-items: center;
  background-color: $inactiveColor;
  border-radius: 20px;
  color: #7d7e7e;
  cursor: pointer;
  display: flex;
  padding: 2px 8px;
  position: relative;
}

:host.active {
  background-color: $activeColor;
  color: #ffffff;
}

:host.inactive {
  color: #ffffff;
  opacity: 0.8;
  transition: $transition;
}

:host.inactive:hover {
  color: #ffffff;
  opacity: 1;
  transition: $transition;
}

:host.menu-open {
  color: #ffffff;
  opacity: 0.9;
  transition: $transition;
}

:host.text-color-active {
  color: #ffffff;
  opacity: 0.8;
  transition: $transition;
}

:host.text-color-active:hover {
  color: #ffffff;
  opacity: 1;
  transition: $transition;
}

.switch-icon {
  transition: transform 120ms ease-in-out;
  height: 24px;
  width: 24px;

  &.-opened {
    transform: rotate(-180deg);
  }

  &.arrow-drop-down-circle-position {
    left: 7px;
    position: relative;
  }
}

.text {
  line-height: 1;
  margin: 0 5px;
}

.flex-space {
  flex: 1;
}

.flex-centered {
  align-items: center;
  display: flex;
  justify-content: center;
}
